# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest
import datetime

import dlcmapi_client
from dlcmapi_client.models.deposit import Deposit  # noqa: E501
from dlcmapi_client.rest import ApiException

class TestDeposit(unittest.TestCase):
    """Deposit unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional):
        """Test Deposit
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # model = dlcmapi_client.models.deposit.Deposit()  # noqa: E501
        if include_optional :
            return Deposit(
                links = None, 
                access = 'PUBLIC', 
                additional_fields_form_id = '0', 
                additional_fields_values = '0', 
                agreement = True, 
                archive_type_id = '0', 
                collection_begin = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                collection_end = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                collection_size = 1.337, 
                contains_updated_metadata = True, 
                creation = dlcmapi_client.models.change_info.change-info(
                    when = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                    who = '0', ), 
                data_file_number = 1.337, 
                data_sensitivity = 'UNDEFINED', 
                description = '0', 
                doi = '0', 
                embargo = dlcmapi_client.models.aip_info_embargo.aip_info_embargo(
                    access = '0', 
                    months = 1.337, 
                    start_date = '0', ), 
                has_embargo = True, 
                is_identical_to = '0', 
                is_obsoleted_by = '0', 
                is_referenced_by = '0', 
                keywords = [
                    '0'
                    ], 
                language_id = '0', 
                last_update = dlcmapi_client.models.change_info.change-info(
                    when = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                    who = '0', ), 
                license_id = '0', 
                metadata_version = '1.0', 
                organizational_unit_id = '0', 
                preparation_id = '0', 
                preservation_policy_id = '0', 
                publication_date = datetime.datetime.strptime('1975-12-30', '%Y-%m-%d').date(), 
                res_id = '0', 
                sip_id = '0', 
                status = 'APPROVED', 
                status_message = '0', 
                submission_agreement_id = '0', 
                submission_policy_id = '0', 
                title = '0'
            )
        else :
            return Deposit(
        )

    def testDeposit(self):
        """Test Deposit"""
        inst_req_only = self.make_instance(include_optional=False)
        inst_req_and_optional = self.make_instance(include_optional=True)


if __name__ == '__main__':
    unittest.main()
